testing::internal::CapturedStream Class Reference

## Public Member Functions

| CapturedStream (int fd)
| ~CapturedStream ()
std::string | GetCapturedString ()

## Detailed Description

Definition at line 10674 of file gtest-all.cc.

## Constructor & Destructor Documentation

## CapturedStream()

testing::internal::CapturedStream::CapturedStream | ( | int | fd | ) |

inlineexplicit

Definition at line 10677 of file gtest-all.cc.

## ~CapturedStream()

testing::internal::CapturedStream::~CapturedStream | ( |  | ) |

inline

Definition at line 10725 of file gtest-all.cc.

## Member Function Documentation

## GetCapturedString()

std::string testing::internal::CapturedStream::GetCapturedString | ( |  | ) |

inline

Definition at line 10729 of file gtest-all.cc.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest-all.cc